%define api 2.91
%define major 0
%define libname %mklibname vte 2.91 %{major}
%define girname %mklibname vte-gir %{api}
%define devname %mklibname %{name} -d

%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	A terminal emulator widget
Name:		vte291
Version:	0.48.4
Release:	1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org/
Source0:	http://download.gnome.org/sources/vte/%{url_ver}/vte-%{version}.tar.xz
Patch0:		vte-0.46.0-linkage.patch
# https://bugzilla.gnome.org/show_bug.cgi?id=711059
# From Fedora package with re-diffs for current version
Patch100:	vte-0.48.4-command-notify.patch
BuildRequires:	appdata-tools
BuildRequires:	gperf
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(cairo-xlib)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(x11)
Conflicts:	vte3 < 0.36.3

%description
VTE is a terminal emulator widget for use with GTK+ 3.0.

%files -f vte-%{api}.lang
%doc COPYING HACKING NEWS README
%{_bindir}/vte-%{api}
%{_sysconfdir}/profile.d/vte.sh

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A terminal emulator widget
Group:		System/Libraries
Requires:	%{name}

%description -n %{libname}
VTE is a terminal emulator widget for use with GTK+ 3.0.

%files -n %{libname}
%{_libdir}/libvte-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for vte with GTK+ 3.0
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Conflicts:	%{libname} < 0.28.1-2

%description -n %{girname}
GObject Introspection interface description for vte with GTK+ 3.0.

%files -n %{girname}
%{_libdir}/girepository-1.0/Vte-%{api}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Files needed for developing applications which use VTE
Group:		Development/C
Requires:	%{girname} = %{EVRD}
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
VTE is a terminal emulator widget for use with GTK+ 3.0.  This
package contains the files needed for building applications using VTE.

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/vte-%{api}
%{_includedir}/vte-%{api}
%{_libdir}/libvte-%{api}.so
%{_libdir}/pkgconfig/vte-%{api}.pc
%{_datadir}/gir-1.0/Vte-%{api}.gir
%{_datadir}/vala/vapi/vte-%{api}.vapi

#----------------------------------------------------------------------------

%prep
%setup -q -n vte-%{version}
%apply_patches

%build
./autogen.sh
%configure2_5x \
	--enable-shared \
	--disable-static \
	--libexecdir=%{_libexecdir}/vte-%{api} \
	--enable-gtk-doc \
	--enable-gnome-pty-helper \
	--enable-introspection
%make

%install
%makeinstall_std

%find_lang vte-%{api}


%changelog

* Tue Nov 07 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.48.4-1
- (cac24f4) New version 0.48.4

* Sat Feb 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.46.1-3
- (7f3370d) Add patch to fix build with gperf 3.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.46.1-2
- (a4dc1e3) MassBuild#1230: Increase release tag

* Tue Nov 08 2016 tremod <negry.m@yandex.ru> 0.46.1-1
- (c173499) Update to 0.46.1

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.46.0-2
- (c858974) MassBuild#1169: Increase release tag

* Thu Oct 06 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.46.0-1
- (06e1de5) Drop gnome-pty-helper as upstream did
- (Andrey Bondrov: eb1f8c3) Add patch to fix linkage
- (Andrey Bondrov: 1e5f704) Update command-notify patch (get new version from Fedora)
- (Andrey Bondrov: f3db6aa) New version 0.46.0
- (Andrey Bondrov: f3db6aa) Build requires pkgconfig(libpcre2-8)

* Fri Sep 23 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.40.2-2
- (5a59b2d) Spec cleanup

* Tue May 12 2015 Tigro <ashejn@yandex-team.ru> 0.40.2-1
- (5ecddd1) update to 0.40.2

* Mon Apr 27 2015 Tigro <ashejn@yandex-team.ru> 0.40.0-2
- (e75f1c9) added C: vte3 < 0.36.3

* Tue Mar 24 2015 Tigro <ashejn@gmail.com> 0.40.0-1
- (4dd464c) run autogen.sh first
- (Tigro: 68d3665) update to 0.40.0

* Sat Mar 21 2015 Tigro <ashejn@gmail.com> 0.39.92-1
- (9127d6d) update to 0.39.92

* Thu Mar 19 2015 Tigro <ashejn@yandex-team.ru> 0.39.90-3
- (abf6d5f) back notify patch

* Sat Mar 14 2015 Tigro <ashejn@gmail.com> 0.39.90-2
- (a3781dd) disable notify patch

* Wed Mar 11 2015 Tigro <ashejn@yandex-team.ru> 0.39.90-1
- (ce07fba) fix version
- (Tigro: 2fbcadb) another path for libexec
- (Tigro: c8c6287) Revert "drop libexecname definition"
- (Tigro: c8c6287) This reverts commit bd5b066b29fbef770cca9bb5574796b3486ca4de.
- (Tigro: bd5b066) drop libexecname definition
- (Tigro: 661ab47) added BR: gpref
- (Tigro: 9f4a711) apply patches and enable gnome-pty-helper
- (Tigro: 08c2e4d) pack files
- (Tigro: f80160e) added BR: appdata-tools
- (Tigro: b55d9eb) fix typo
- (Tigro: 9616f61) update to 0.39.90

* Tue Mar 10 2015 Tigro <ashejn@gmail.com> None
- (29bece7) update to 0.36.3
- (Tigro: 6ff38e0) Revert "update to 0.39.90"
- (Tigro: 6ff38e0) This reverts commit 7301f4832139ef8324b44c2581397fcd0f8919e0.
- (Tigro: 48f997d) Revert "added BR for vala"
- (Tigro: 48f997d) This reverts commit 32e2fae73e6153381d70a326d4538745fa01205b.


